package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zsy
 * @description:情绪图片评定任务
 * @date 2021/2/1 15:12
 */

@NoArgsConstructor
@AllArgsConstructor
@Data
public class EPRTEntity {

    /**
     *  图片名称
     */
    private String name;

    /**
     * 恐惧等级
     */
    private String level;

    /**
     * 效价
     */
    private String xiaojia;

    /**
     *  唤起度
     */
    private String huanqi;

    /**
     * 优势度
     */
    private String youshi;

}
