package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zsy
 * @description:风险决策测试实体类
 * @date 2021/2/1 15:12
 */

@NoArgsConstructor
@AllArgsConstructor
@Data
public class RDTEntity {

    /**
     * 序号
     */
    private int index;

    /**
     * 本轮得分
     */
    private double currentEarn;

    /**
     * 点击次数
     */
    private int numberPumps;

    /**
     * 是否爆炸
     */
    private Boolean explosion;

}
