package com.rf.psychological.dao.model;

import com.rf.psychological.base.model.BaseEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zzf
 * @description:测试分类表
 * @date 2021/6/7 9:55
 */
@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_type_info")
@org.hibernate.annotations.Table(appliesTo = "t_type_info", comment = "测试分类表")
public class TypeEntity extends BaseEntity {

    @Column(name = "type_no", columnDefinition = "varchar(10) comment '类型编号'")
    private String typeNo;

    @Column(name = "type_name", columnDefinition = "varchar(10) comment '类型名称'")
    private String typeName;

    @Column(name = "image_url", columnDefinition = "varchar(255) comment '图片'")
    private String imageUrl;

}
