package com.rf.psychological.user.dao.repository;

import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.user.dao.model.UserFileEntity;

/**
 * @Description:用户头像接口
 * @Author: zsf
 * @Date: 2022/12/26
 */
public interface UserFileRepository extends BaseRepository<UserFileEntity,String> {

    /**
     * 根据用户id获取到头像信息
     * @param userId
     * @return
     */
    UserFileEntity findByUserId(String userId);
}
