package com.rf.psychological.user.service;

import com.rf.psychological.user.dao.model.UserFileEntity;

/**
 * @Description:用户头像接口
 * @Author: zsf
 * @Date: 2022/12/26
 */
public interface UserFileService {

    /**
     * 保存或更新用户头像
     * @param entity 头像信息
     * @return
     */
    public UserFileEntity saveOrUpdate(UserFileEntity entity);

    /**
     * 根据用户id获取到头像信息
     * @param userId
     * @return
     */
    public UserFileEntity findByUserId(String userId);
}
