package com.rf.psychological.dao.cognizeModel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lpf
 * @description: 情绪识别记忆任务
 * @date 2022/4/19 8:50
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EMEMEntity {

    private String index;

    // "positive/negtive",词语类型
    private String wordType;

    //是否出现过0（否） 1（是）
    private String appearedOrNot;

    private String responseTime;

    //反应是否正确0（错误）,1（正确）
    private String correct;


}
