package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zsy
 * @description:GO/NO-GO测试2实体类
 * @date 2021/2/1 15:12
 */

@NoArgsConstructor
@AllArgsConstructor
@Data
public class GONOGO2Entity {

    /**
     * 箭头朝向 0向左，1向右
     */
    private String arrowDirection;

    /**
     * 信号颜色 0红色，1绿色
     */

    private String color;

    /**
     * 是否需要反应 0无需反应，1需反应
     */
    private String needResponse;

    /**
     * 用户点击方向 0向左，1向右
     */

    private String userDirection;

    /**
     * 反应是否正确
     */
    private String responseTrue;

    /**
     * 用户反应时间
     */
    private String responseTime;

}
