package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zsy
 * @description:神分裂症语义距离度量
 * @date 2021/2/1 15:12
 */

@NoArgsConstructor
@AllArgsConstructor
@Data
public class STFSEntity {

    /**
     *  序号
     */
    private String id;

    /**
     * 左边显示词汇
     */
    private String leftWord;

    /**
     * 右侧比对词汇
     */
    private String rightWord;

    /**
     *  词汇类型，0-具体，1-抽象
     */
    private String type;

    /**
     * 词汇关系，0-相关，1-不相关
     */
    private String relation;

    /**
     * 用户输入等级
     */
    private String rank;

}
