package com.rf.psychological.plan.dao.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import java.util.Date;

/**
 * @author lpf
 * @description: 用户界面测试计划展示
 * @date 2022/5/6 9:29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TestPlanUserDto {

    //测试计划id
    private String id;

    private String name;

    private String createUserId;

    private String institutionNo;

    private String createUser;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date testBeginTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date testEndTime;

    //测试计划状态
    private int status;

    //是否已完成
    private String isComplete;

    //测试计划内量表总次数
    private String allContendsNum;

    //已完成数量
    private String completeNum;
}
