package com.rf.psychological.service.impl;

import com.rf.psychological.dao.model.SCLEntity;
import com.rf.psychological.dao.repository.SCLRepository;
import com.rf.psychological.service.SCLService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zzf
 * @description:
 * @date 2021/1/20 16:59
 */
@Service
public class SCLServiceImpl implements SCLService {
    @Autowired
    private SCLRepository sclRepository;
    /**
     * 查询全量SCL列表
     *
     * @return
     */
    @Override
    public List<SCLEntity> findAll() {
        return this.sclRepository.findAll(Sort.by("no"));
    }
}
